# -*-coding:utf-8-*-
import numpy as np
from pandas import DataFrame
if __name__ == '__main__':
    with open("data/att_weight_instance.txt", "r", encoding="utf-8") as f:
        data = f.read().strip().split("\n")

    instance =  "I developed a pain that seems to originate at the base of my neck , travel down to my shoulder blades and then run to my shoulders , elbow and wrist ."
    token_list = instance.split(" ")
    n = len(token_list)
    att_weight = np.zeros((n, n))
    token_list = ["token"] + token_list
    token_att_weight = [token_list]
    for token in token_list[1:]:
        token_att_weight.append([token])
    for i in range(n):
        weight = data[i].strip().split("  ")
        for j in range(n):
            token_att_weight[i + 1].append(weight[j])
    print(token_att_weight)
    # for i in range(len(token_att_weight)):
    #     print(len(token_att_weight[i]))
    #     print(token_att_weight[i])
    df = DataFrame(token_att_weight)
    df.to_excel('add_weight.xlsx')



